org.apache.pdfbox.pdmodel.interactive.annotation.handlers

## Class PDLinkAppearanceHandler

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDAbstractAppearanceHandler
  - - org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDLinkAppearanceHandler

All Implemented Interfaces:
  PDAppearanceHandler

    public class PDLinkAppearanceHandler
    extends PDAbstractAppearanceHandler

Handler to generate the link annotations appearance.

### Field Summary

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDAbstractAppearanceHandler

`ANGLED_STYLES, document, INTERIOR_COLOR_STYLES, SHORT_STYLES`

### Constructor Summary

Constructors
Constructor and Description
`PDLinkAppearanceHandler(PDAnnotation annotation)`
`PDLinkAppearanceHandler(PDAnnotation annotation, PDDocument document)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generateDownAppearance()`
`void` `generateNormalAppearance()`
`void` `generateRolloverAppearance()`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDAbstractAppearanceHandler

`createCOSStream, getDefaultFont`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.pdfbox.pdmodel.interactive.annotation.handlers.PDAppearanceHandler

`generateAppearanceStreams`

### Constructor Detail

#### PDLinkAppearanceHandler

    public PDLinkAppearanceHandler(PDAnnotation annotation)

#### PDLinkAppearanceHandler

    public PDLinkAppearanceHandler(PDAnnotation annotation,
                                   PDDocument document)

### Method Detail

#### generateNormalAppearance

    public void generateNormalAppearance()

#### generateRolloverAppearance

    public void generateRolloverAppearance()

#### generateDownAppearance

    public void generateDownAppearance()